Bug 1528432 - ceph-ansible does not properly check for running containers
Summary: ceph-ansible does not properly check for running containers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.0
Hardware: All
OS: All
unspecified
high
Target Milestone: z1
: 3.0
Assignee: Guillaume Abrioux
QA Contact: subhash
URL:
Whiteboard:
Depends On:
Blocks: 1494421 1510555
TreeView+ depends on / blocked
 
Reported: 2017-12-21 20:10 UTC by Ken Dreyer (Red Hat)
Modified: 2018-03-08 15:51 UTC (History)
16 users (show)

Fixed In Version: RHEL: ceph-ansible-3.0.22-1.el7cp Ubuntu: ceph-ansible_3.0.22-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1510555
Environment:
Last Closed: 2018-03-08 15:51:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 2214 None None None 2017-12-21 20:10:37 UTC
Red Hat Product Errata RHBA-2018:0474 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix update 2018-03-08 20:51:53 UTC

Comment 3 Vasishta 2018-01-25 09:42:31 UTC
Hi Ken, Hi Sebastien,

I just wanted to confirm the steps to verify this BZ.

As per my understanding, 

1) Make sure that on all probable nodes of a cluster docker is not running and only packages like docker-common is installed (Which provides CLI)

2) configure ceph-ansible to initialize containerized cluster, run playbook and and make sure that cluster gets deployed without trying to restart mgrs.

Can anyone please confirm these steps ?

Regards,
Vasishta

Comment 5 Guillaume Abrioux 2018-01-26 09:45:32 UTC
Hi Vasishta,

What you described in c3 is correct.

Let me know if you need any support.

Thanks!

Comment 6 Ramakrishnan Periyasamy 2018-02-07 07:20:42 UTC
Hi Ken,

Can you please move this bug to ON_QA, so that QE can start verifying the bug.

--Ram

Comment 8 subhash 2018-02-07 17:35:22 UTC
Following the steps from C31 of clone BZ 1510555 to verify, the playbook ran with no issues and cluster gets deployed without trying to restart mgrs. Moving to verfied state

Comment 11 errata-xmlrpc 2018-03-08 15:51:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0474


Note You need to log in before you can comment on or make changes to this bug.